# Class BasicDataEncryptionManager

java.lang.Object
org.apache.zookeeper.inspector.encryption.BasicDataEncryptionManager

All Implemented Interfaces:
  `DataEncryptionManager`

public class BasicDataEncryptionManager extends Object implements DataEncryptionManager

## Constructor Summary

Constructors
Constructor
Description
`BasicDataEncryptionManager()`

## Method Summary

Modifier and Type
Method
Description
`String`
`decryptData(byte[] encrypted)`
`byte[]`
`encryptData(String data)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicDataEncryptionManager

public BasicDataEncryptionManager()

## Method Details

### decryptData

public String decryptData(byte[] encrypted) throws Exception

Specified by:
  `decryptData` in interface `DataEncryptionManager`
Parameters:
  `encrypted` - - the data to be decrypted
Returns:
  the decrypted data
Throws:
  `Exception`

### encryptData

public byte[] encryptData(String data) throws Exception

Specified by:
  `encryptData` in interface `DataEncryptionManager`
Parameters:
  `data` - - the data to be encrypted
Returns:
  the encrypted data
Throws:
  `Exception`